# Russian

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class Russian : IetfLanguageCode (source)

#### Inheritors

BY
KG
KZ
MD
RU
UA
Companion

## Types

BY
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object BY : IetfLanguageCode.Russian
Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.Russian
KG
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object KG : IetfLanguageCode.Russian
KZ
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object KZ : IetfLanguageCode.Russian
MD
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object MD : IetfLanguageCode.Russian
RU
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object RU : IetfLanguageCode.Russian
UA
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object UA : IetfLanguageCode.Russian

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String